﻿using LiteDB;

namespace Kyubey.Database;

public class JewelDbContext
{
    private static LiteDatabase _db = null!;
    public static ILiteCollection<Score> Scores = null!;
    public static ILiteCollection<User> Users = null!;
    
    public static void Init()
    {
        _db = new LiteDatabase("kyubey.db");
        Scores = _db.GetCollection<Score>("scores");
        Users = _db.GetCollection<User>("users");
    }
}