﻿using System.Security.Cryptography;
using System.Text;

namespace Kyubey;

public class Utils
{
    public static string ComputeHash(string payload)
    {
        using var sha = SHA256.Create();
        var hashedBytes = sha.ComputeHash(Encoding.UTF8.GetBytes(payload));
        return Convert.ToHexString(hashedBytes);
    }

    // Not really ideal but using a full System.Guid overflows a buffer within the game which breaks replay downloading
    // This game is wonderful and working on it is even more so
    public static string GenerateCheapGuid()
    {
        var rng = new Random();
        var bytes = new byte[8];
        rng.NextBytes(bytes);
        return Convert.ToHexStringLower(bytes);
    }
}